
%define shortcommit e2f8b55

Name:           config-kernel
Version:        0.2
Release:        2%{?dist}
Summary:        An easy way to edit kernel configuration files and templates

License:        GPL-2.0-or-later
URL:            https://github.com/pjps/config-kernel
Source0:        %{URL}/archive/%{shortcommit}/%{name}-%{version}.tar.gz
Patch001:	make-cflags.patch

BuildRequires:  bison flex gcc make bison-devel
Requires:       bison flex gcc make bison-devel

%if 0%{?fedora}
BuildRequires:  libfl-devel
Requires:       libfl-devel
%else
BuildRequires:  libfl-static
Requires:       libfl-static
%endif

%description
config-krenel tool helps to edit kernel configuration files and templates.
User can query, enable, disable or toggle CONFIG options via command line
switch or an $EDITOR program, without worrying about option dependencies.

%prep
%autosetup

%build
make %{?_smp_mlags} CFLAGS="-g -O2 -fstack-check -Wall -Wextra"


%check
./configk -h > /dev/null
./configk -v


%install
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 configk %{buildroot}/%{_bindir}/


%files
%doc README.md
%license COPYING
%{_bindir}/configk


%changelog
* Wed Jan 31 2024 pjp <pjp@fedoraproject.org> - 0.2-2
- Update spec file as per review comments BZ#2259602

* Wed Jan 10 2024 pjp <pjp@fedoraproject.org> - 0.2-1
- Initial config-kernel package
